/* Copyright (C) 1999-2000 Bernhard Trummer
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *
 * $Log: contentnode.cc,v $
 * Revision 1.2  2001/04/20 15:40:36  slash
 * Make use of the function xmlGetProp().
 *
 * Revision 1.1.1.1  2001/01/30 18:36:20  slash
 * Initial release.
 *
 */

#include "main.h"
#include "outputfilter.h"
#include "contentnode.h"


//---------------------------------------------------------------------------
ContentNode::ContentNode(xmlNodePtr node,
                         int latex_encode) : Node()
{
    latex_encode_ = latex_encode;

    text_ = (char*)node->content;
}

//---------------------------------------------------------------------------
ContentNode::~ContentNode()
{
}


//---------------------------------------------------------------------------
void ContentNode::writeHTML(int skip_first_newlines) const
{
    OutputFilter::writeHTML(text_, skip_first_newlines);
}

//---------------------------------------------------------------------------
void ContentNode::writeLaTeX() const
{
    OutputFilter::writeLaTeX(text_, latex_encode_);
}

//---------------------------------------------------------------------------
void ContentNode::writeXML() const
{
    OutputFilter::writeXML(text_);
}

//---------------------------------------------------------------------------
unsigned int ContentNode::getLength() const
{
    return strlen(text_);
}
